## com.google.appengine.api.datastore
Class PostalAddress

    java.lang.Object
      com.google.appengine.api.datastore.PostalAddress

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PostalAddress>

    public final class PostalAddress

extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable<PostalAddress>

A human-readable mailing address. Mailing address formats vary widely so no validation is performed.

See Also:
  Serialized Form

Field Summary
`static long` `serialVersionUID`

Constructor Summary
`PostalAddress(java.lang.String address)`

Method Summary
`int` `compareTo(PostalAddress o)`
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getAddress()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### PostalAddress

    public PostalAddress(java.lang.String address)

Method Detail

### getAddress

    public java.lang.String getAddress()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(PostalAddress o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<PostalAddress>`